purgevol(8)

NAME
purgevol - delete a non-replicated volume

SYNOPSIS
purgevol <volumename>

DESCRIPTION
purgevol is a front-end to the volutil purgevol command and is used to delete a non-replicated volume from the Coda system. purgevol determines the location of the volume using the readable version of the VLDB located in /vice/vol/AllVolumes. It then uses the volutil utility to purge the volume at the volumes site. Finally, it builds a new VLDB using the bldvldb(8) script. Purgevol is similar to the volutil purge, except that it accepts different parameters, can only be run on the SCM, and builds a new vldb. The user must be root to execute this script.

FILES

/vice/vol/AllVolumes
    updated by deleting the entry for the purged volume.

/vice/vol/VolumeList
    updated by the remote server as a side effect of purging the volume.

SEE ALSO
bldvldb.sh(8), purgevol_rep(8), volutil(8)

AUTHOR
David Steere, 1990, Created